<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qianhe.mapper.JygxYyxtwhMapper">

    <resultMap type="JygxYyxtwh" id="JygxYyxtwhResult">
        <result property="yyxtid"    column="yyxtid"    />
        <result property="px"    column="px"    />
        <result property="yyxtmc"    column="yyxtmc"    />
        <result property="ljdz"    column="ljdz"    />
        <result property="tbdz"    column="tbdz"    />
        <result property="tzfs"    column="tzfs"    />
        <result property="yl1"    column="yl1"    />
        <result property="yl2"    column="yl2"    />
        <result property="yl3"    column="yl3"    />
        <result property="yl4"    column="yl4"    />
        <result property="yl5"    column="yl5"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="fbzt"    column="fbzt"    />
    </resultMap>

    <sql id="selectJygxYyxtwhVo">
        select yyxtid, px, yyxtmc, ljdz, tbdz, tzfs, yl1, yl2, yl3, yl4, yl5, create_by, create_time, update_by, update_time, remark, fbzt from jygx_yyxtwh
    </sql>

    <select id="selectJygxYyxtwhList" parameterType="JygxYyxtwh" resultMap="JygxYyxtwhResult">
        <include refid="selectJygxYyxtwhVo"/>
        <where>
            <if test="px != null "> and px = #{px}</if>
            <if test="yyxtmc != null  and yyxtmc != ''"> and yyxtmc = #{yyxtmc}</if>
            <if test="ljdz != null  and ljdz != ''"> and ljdz = #{ljdz}</if>
            <if test="tbdz != null  and tbdz != ''"> and tbdz = #{tbdz}</if>
            <if test="tzfs != null  and tzfs != ''"> and tzfs = #{tzfs}</if>
            <if test="yl1 != null  and yl1 != ''"> and yl1 = #{yl1}</if>
            <if test="yl2 != null  and yl2 != ''"> and yl2 = #{yl2}</if>
            <if test="yl3 != null  and yl3 != ''"> and yl3 = #{yl3}</if>
            <if test="yl4 != null  and yl4 != ''"> and yl4 = #{yl4}</if>
            <if test="yl5 != null  and yl5 != ''"> and yl5 = #{yl5}</if>
            <if test="fbzt != null  and fbzt != ''"> and fbzt = #{fbzt}</if>
        </where>

        ORDER BY ifnull (px,999999) asc
    </select>

    <select id="selectJygxYyxtwhByYyxtid" parameterType="Long" resultMap="JygxYyxtwhResult">
        <include refid="selectJygxYyxtwhVo"/>
        where yyxtid = #{yyxtid}
    </select>

    <insert id="insertJygxYyxtwh" parameterType="JygxYyxtwh" useGeneratedKeys="true" keyProperty="yyxtid">
        insert into jygx_yyxtwh
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="px != null">px,</if>
            <if test="yyxtmc != null">yyxtmc,</if>
            <if test="ljdz != null">ljdz,</if>
            <if test="tbdz != null">tbdz,</if>
            <if test="tzfs != null">tzfs,</if>
            <if test="yl1 != null">yl1,</if>
            <if test="yl2 != null">yl2,</if>
            <if test="yl3 != null">yl3,</if>
            <if test="yl4 != null">yl4,</if>
            <if test="yl5 != null">yl5,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="fbzt != null">fbzt,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="px != null">#{px},</if>
            <if test="yyxtmc != null">#{yyxtmc},</if>
            <if test="ljdz != null">#{ljdz},</if>
            <if test="tbdz != null">#{tbdz},</if>
            <if test="tzfs != null">#{tzfs},</if>
            <if test="yl1 != null">#{yl1},</if>
            <if test="yl2 != null">#{yl2},</if>
            <if test="yl3 != null">#{yl3},</if>
            <if test="yl4 != null">#{yl4},</if>
            <if test="yl5 != null">#{yl5},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="fbzt != null">#{fbzt},</if>
         </trim>
    </insert>

    <update id="updateJygxYyxtwh" parameterType="JygxYyxtwh">
        update jygx_yyxtwh
        <trim prefix="SET" suffixOverrides=",">
            <if test="px != null">px = #{px},</if>
            <if test="yyxtmc != null">yyxtmc = #{yyxtmc},</if>
            <if test="ljdz != null">ljdz = #{ljdz},</if>
            <if test="tbdz != null">tbdz = #{tbdz},</if>
            <if test="tzfs != null">tzfs = #{tzfs},</if>
            <if test="yl1 != null">yl1 = #{yl1},</if>
            <if test="yl2 != null">yl2 = #{yl2},</if>
            <if test="yl3 != null">yl3 = #{yl3},</if>
            <if test="yl4 != null">yl4 = #{yl4},</if>
            <if test="yl5 != null">yl5 = #{yl5},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="fbzt != null">fbzt = #{fbzt},</if>
        </trim>
        where yyxtid = #{yyxtid}
    </update>

    <delete id="deleteJygxYyxtwhByYyxtid" parameterType="Long">
        delete from jygx_yyxtwh where yyxtid = #{yyxtid}
    </delete>

    <delete id="deleteJygxYyxtwhByYyxtids" parameterType="String">
        delete from jygx_yyxtwh where yyxtid in
        <foreach item="yyxtid" collection="array" open="(" separator="," close=")">
            #{yyxtid}
        </foreach>
    </delete>
</mapper>
